#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Devel
%define	pnam	Cover
Summary:	Devel::Cover - Code coverage metrics for Perl
Summary(pl.UTF-8):	Devel::Cover - metryki pokrycia kodu dla Perla
Name:		perl-Devel-Cover
Version:	1.16
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	88d965bc014523b653c33f16a324631e
URL:		http://search.cpan.org/dist/Devel-Cover/
BuildRequires:	perl-devel >= 1:5.8.2
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Test-Warn
%endif
Requires:	perl-modules >= 1:5.8.2
Suggests:	perl-Browser-Open
Suggests:	perl-JSON-PP
Suggests:	perl-PPI-HTML >= 1.07
Suggests:	perl-Pod-Coverage >= 0.06
Suggests:	perl-Template-Toolkit >= 2.00
Suggests:	perl-Test-Differences
Suggests:	perltidy >= 20060719
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides code coverage metrics for Perl. Code coverage
metrics describe how thoroughly tests exercise code. By using
Devel::Cover you can find areas of code not exercised by your tests
and find out which tests to create to increase coverage. Code coverage
can be considered as an indirect measure of quality.

%description -l pl.UTF-8
Ten moduł udostępnia metryki pokrycia kodu dla Perla. Metryki te
opisują jak dokładnie testy sprawdzają kod. Dzięki użyciu Devel::Cover
można odnaleźć obszary kodu nie sprawdzane przez testy i określić,
jakie testy należy stworzyć, aby zwiększyć pokrycie. Pokrycie kodu
można uznać jako niebezpośrednią miarę jakości.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/cover
%attr(755,root,root) %{_bindir}/cpancover
%attr(755,root,root) %{_bindir}/gcov2perl
%{perl_vendorarch}/Devel/Cover.pm
%dir %{perl_vendorarch}/Devel/Cover
%{perl_vendorarch}/Devel/Cover/*.pm
%dir %{perl_vendorarch}/Devel/Cover/Annotation
%{perl_vendorarch}/Devel/Cover/Annotation/*.pm
%dir %{perl_vendorarch}/Devel/Cover/DB
%{perl_vendorarch}/Devel/Cover/DB/*.pm
%dir %{perl_vendorarch}/Devel/Cover/DB/IO
%{perl_vendorarch}/Devel/Cover/DB/IO/*.pm
%dir %{perl_vendorarch}/Devel/Cover/Report
%{perl_vendorarch}/Devel/Cover/Report/*.pm
# Some people may appreciate Tutorial in pod form
# or move to subpackage?
%{perl_vendorarch}/Devel/Cover/Tutorial.pod
%dir %{perl_vendorarch}/auto/Devel/Cover
%attr(755,root,root) %{perl_vendorarch}/auto/Devel/Cover/*.so
%{_mandir}/man3/Devel::Cover*.3pm*
%{_mandir}/man1/cover.1p*
%{_mandir}/man1/cpancover.1p*
%{_mandir}/man1/gcov2perl.1p*
%changelog
* Mon Sep 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Devel-Cover.git;a=log;h=master

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 54cc19d
- release 2 (by relup.sh)

* Mon Sep 15 2014 Łukasz Kieś <kiesiu@pld-linux.org> 2e18e64
- updated to 1.16

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b1d2499
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e83a241
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5a91abc
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> da7ea1a
- updated to 1.04

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 988261d
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Oct 28 2012 Jakub Bogusz <qboosh@pld-linux.org> c9b9b37
- Pod::Coverage::CountParents is in perl-Pod-Coverage

* Sun Oct 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 8249165
- Perl::Tidy is in perltidy package

* Sun Oct 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 852ac19
- updated to 0.96

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> dccb5ff
- up to 0.79

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> aa750fd
- rel 3

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> 49ccb84
- BR perl-Test-Warn if with tests

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> 35ab313
- use ICM mirror as source, for unknown reasons tarball is not available
  on master sites, but it is on mirrors

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> 13659ab
- updated to 0.73

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 381a70d
- release 4

* Wed Jun 30 2010 amateja <amateja@pld-linux.org> 327df2d
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 139a6bb
- release 2

* Thu Sep 10 2009 amateja <amateja@pld-linux.org> d61e4dd
- updated to 0.65

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 41422e0
- updated to 0.64

